org.apache.uima.resource.impl

## Class FileResourceSpecifier_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.impl.FileResourceSpecifier_impl

- All Implemented Interfaces:
    Serializable, Cloneable, FileResourceSpecifier, MetaDataObject, ResourceSpecifier, XMLizable

      public class FileResourceSpecifier_impl
      extends MetaDataObject_impl
      implements FileResourceSpecifier

  Reference implementation of `FileResourceSpecifier`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileResourceSpecifier_impl()` Creates a new `FileResourceSpecifier_impl`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileUrl()` UIMA-5274 Expand any references to external overrides when name and location are fetched.
    `String` | `getLocalCache()` Gets the file name for the local cache of a remote resource file.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setFileUrl(String aUrl)` Sets the URL of the file.
    `void` | `setLocalCache(String aFileName)` Sets the file name for the local cache of a remote resource file.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### FileResourceSpecifier_impl

          public FileResourceSpecifier_impl()

      Creates a new `FileResourceSpecifier_impl`.

  - ### Method Detail

    - #### getFileUrl

          public String getFileUrl()

      UIMA-5274 Expand any references to external overrides when name and location are fetched. Cache the value if the evaluation succeeds (later fetches may not have the settings defined!) Leave value unmodified if any settings are undefined and log a warning message.
      Specified by:
        `getFileUrl` in interface `FileResourceSpecifier`
      Returns:
        a URL string
      See Also:
        `FileResourceSpecifier.getFileUrl()`

    - #### setFileUrl

          public void setFileUrl(String aUrl)

      Description copied from interface: `FileResourceSpecifier`
      Sets the URL of the file.
      Specified by:
        `setFileUrl` in interface `FileResourceSpecifier`
      Parameters:
        `aUrl` - a URL string
      See Also:
        `FileResourceSpecifier.setFileUrl(String)`

    - #### getLocalCache

          public String getLocalCache()

      Description copied from interface: `FileResourceSpecifier`
      Gets the file name for the local cache of a remote resource file. This is optional.
      Specified by:
        `getLocalCache` in interface `FileResourceSpecifier`
      Returns:
        the file name of the local cache, `null` if none.
      See Also:
        `FileResourceSpecifier.getLocalCache()`

    - #### setLocalCache

          public void setLocalCache(String aFileName)

      Description copied from interface: `FileResourceSpecifier`
      Sets the file name for the local cache of a remote resource file. This is optional.
      Specified by:
        `setLocalCache` in interface `FileResourceSpecifier`
      Parameters:
        `aFileName` - file name of the local cache, `null` if none.
      See Also:
        `FileResourceSpecifier.setLocalCache(String)`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.